BEGIN DVAMPAER




IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("AerieResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~I am a dead thing now. I despise myself. Hi hi hi! But I feel I am so bitchy. My hunger! Ha ha ha!~
   ++ ~Aerie, I love you. Even as a vampire, you will be with me.~ + briefingNV1a
   ++ ~Aerie, don't you like your new form? I like it.~ + briefingNV1b
   ++ ~Aerie, I am now your master and will command you.~ + briefingNV1c
   ++ ~Die, dead thing!~ + briefing3f
END

IF ~~ briefingNV1a
  SAY ~Hi hi! I am so evil. I want you right now and I no longer think I knew life well. Do you like my dead skin?~
  ++ ~Join me, my love, we will get used to this.~ + briefing2
    ++ ~Aerie, I am now your master and will command you.~ + briefingNV1c 
     ++ ~Die, dead thing!~ + briefing3f
END


IF ~~ briefingNV1b
  SAY ~Ha ha ha! I feel living things near me. I want to suck their blood. Do you want me so bad? I am a dead whore now.~
  ++ ~Join me, my love, we still have a lot of things to do.~ + briefing2
      ++ ~Aerie, I will command you.~ + briefingNV1c 
     ++ ~Die, dead thing!~ + briefing3f
END

  IF ~~ briefingNV1c
  SAY ~Hi hi! I want to kill, will you command me to kill?~
  ++ ~Join me then, we will have a lot of killings ahead.~ + briefing2
     ++ ~Die, dead thing!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("AerieResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~I am a dead thing now. I despise myself. Hi hi hi! But I feel I am so bitchy. My hunger! Ha ha ha!~
   ++ ~Aerie, I love you. Even as a vampire, you will be with me.~ + briefingNV1a
   ++ ~Aerie, don't you like your new form? I like it.~ + briefingNV1b
   ++ ~Aerie, I am now your mistress and will command you.~ + briefingNV1c
   ++ ~Die, dead thing!~ + briefing3f
END




IF ~~ briefing2
  SAY ~Can I have your blood, <CHARNAME>? I smell the taint of Bhaal in you, hi hi!~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("AerieResurrected","GLOBAL",2)
  DestroyItem("MISCBL")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~Aerie dont want to die, not now. I want to live!~
  IF ~~ THEN DO ~SetGlobal("AerieResurrected","GLOBAL",2)
  SetGlobal("AerieLeft","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~Fine, all feelings end, he he. I will search for blood by myself then. Good bye!~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("AerieResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~!Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you need me, my lover boy?~ 
 ++ ~Come with me, Aerie, I need you.~ + notparty1
 ++ ~Stay here, Aerie, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my lover girl?~ 
 ++ ~Come with me, Aerie, I need you.~ + notparty1
 ++ ~Stay here, Aerie, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my lover girl?~ 
 ++ ~Come with me, Aerie, I need you.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Aerie, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~!Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Do you need me, my lover boy?~
 ++ ~Come with me, Aerie, I need you.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Aerie, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~Hi hi hi! We'll have a fun!~
  IF ~~ THEN DO ~
	//	DestroyItem("VVAerie")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~Ha ha ha! I will slay!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~Don't you want me? I will wait you in stronghold.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.704],S)~ EXIT
 END  

// talk in party

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~Do you need me, my lover boy?~ 
 ++ ~Are you hungry? You can suck my blood, Aerie.~ + suckblood
 ++ ~Tell me your story, Aerie.~ + talkAerieM
 ++ ~No, nothing right now, Aerie.~ + byesilent
  ++ ~I decided to end your life, Aerie.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~Do you need me, my lover girl?~ 
 ++ ~Are you hungry? You can suck my blood, Aerie.~ + suckblood
 ++ ~Tell me your story, Aerie.~ + talkAerieF
 ++ ~No, nothing right now, Aerie.~ + byesilent
  ++ ~I decided to end your life, Aerie.~ + briefing3f
END

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~Do you need me, my lover boy?~ 
 ++ ~Are you hungry? You can suck my blood, Aerie.~ + suckblood
 ++ ~Make me a vampire, Aerie.~ + vampconvm
 ++ ~Tell me your story, Aerie.~ + talkAerieM
 ++ ~No, nothing right now, Aerie. Sorry.~ + byesilent
   ++ ~I decided to end your life, Aerie.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~Do you need me, my lover girl?~ 
 ++ ~Are you hungry? You can suck my blood, Aerie.~ + suckblood
 ++ ~Make me a vampire, Aerie.~ + vampconvf 
 ++ ~Tell me your story, Aerie.~ +   talkAerieM
 ++ ~No, nothing right now, Aerie. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life, Aerie.~ + briefing3f
END

IF ~~ byesilent
SAY ~Hi hi hi!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkAerieM
  SAY ~I love you, my boy. Do you want my blood? He he, I want yours! I am the first flying elf vampire! Ha ha ha!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkAerieF
  SAY ~I love you, my girl. Do you want my blood? He he, I want yours! I am the first flying elf vampire! Ha ha ha!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood
  SAY ~Time to some fun, hi hi!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Hey, your blood is bad, very very bad! Ya!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood2
  SAY ~I will drink it with love!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,90,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Aerie jumps or you and embraces your neck, her legs embrace your torso.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Aerie makes you fall and gets closer, looking at you by her mad eyes.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Aerie.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Aerie. She is no long Aerie, she became some mad dirty girl. But something in her attracts you. Maybe Cyric blessed her with insanity?)~

  IF ~~ THEN DO ~  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,3,ADD)
		ChangeStat(Player1,STR,0,ADD)
		ChangeStat(Player1,WIS,-2,ADD)
		ChangeStat(Player1,INT,-1,ADD)
		

		SetGlobal("AerieVampirized","GLOBAL",1)	
	~ EXIT
END


